MT_LAUNCH_JOB(3)

FUNCTION
mt_launch_job - Launch a job onto a thread pool.

SYNOPSIS
#include <karma_mt.h>

void mt_launch_job

(KThreadPool pool, void (*func) (void *pool_info, void *call_info1, void *call_info2, void *call_info3, void *call_info4, void *thread_info), void *call_info1, void *call_info2, void *call_info3, void *call_info4)

DESCRIPTION
This function will launch a job to a pool of threads, running the job on the first available thread.

pool
    The thread pool.

func
    The function to execute. The prototype function is <-mt_PROTO_func->

call_info1
    An arbitrary argument to <<func>>.

call_info2
    An arbitrary argument to <<func>>.

call_info3
    An arbitrary argument to <<func>>.

call_info4
    An arbitrary argument to <<func>>.

RETURN VALUE
Nothing.

Multi-threading Level
Safe.

NOTE
Jobs must not modify any signal actions or masks.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/